# sdm admin users add

```shell
NAME:
   sdm admin users add - add a new user

USAGE:
   sdm admin users add [command options] <firstname> <lastname> <email>

OPTIONS:
   --template, -t          display a JSON template
   --file value, -f value  load users from JSON file
   --stdin, -i             load from stdin
   --csv, -c               parses the input in CSV format (firstName,secondName,email)
   --manager value         set user's manager's account id
   --tags value            tags e.g. 'key=value,...'
   --timeout value         set time limit for command
```

### Additional Information

The `--template` option produces example `--file` or `--stdin` input:

```json
[
	{
		"firstName": "",
		"lastName": "",
		"email": "",
		"tags": ""
	}
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strongdm.com/references/cli/admin/users/add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
